# DataExchange
TKSTEPBase
StepShape

# StepShape_DimensionalSize Class Reference

Representation of STEP entity DimensionalSize
.

`#include <StepShape_DimensionalSize.hxx>`

Inheritance diagram for StepShape_DimensionalSize:

[legend]

## Public Member Functions

Standard_EXPORT | StepShape_DimensionalSize ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(StepRepr_ShapeAspect)&aAppliesTo, const Handle(TCollection_HAsciiString)&aName)
| Initialize all fields (own and inherited) .
Standard_EXPORT Handle_StepRepr_ShapeAspect | AppliesTo () const
| Returns field AppliesTo .
Standard_EXPORT void | SetAppliesTo (const Handle(StepRepr_ShapeAspect)&AppliesTo)
| Set field AppliesTo .
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
| Returns field Name .
Standard_EXPORT void | SetName (const Handle(TCollection_HAsciiString)&Name)
| Set field Name .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepRepr_ShapeAspect | theAppliesTo
Handle_TCollection_HAsciiString | theName

## Constructor & Destructor Documentation

Standard_EXPORT StepShape_DimensionalSize::StepShape_DimensionalSize | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepRepr_ShapeAspect StepShape_DimensionalSize::AppliesTo | ( |  | ) | const

Standard_EXPORT const StepShape_DimensionalSize::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in StepShape_AngularSize, and StepShape_DimensionalSizeWithPath.

Standard_EXPORT void StepShape_DimensionalSize::Init | ( | const Handle(StepRepr_ShapeAspect)& | aAppliesTo,
|  | const Handle(TCollection_HAsciiString)& | aName
| ) |

Standard_EXPORT Handle_TCollection_HAsciiString StepShape_DimensionalSize::Name | ( |  | ) | const

Standard_EXPORT void StepShape_DimensionalSize::SetAppliesTo | ( | const Handle(StepRepr_ShapeAspect)& | AppliesTo | ) |

Standard_EXPORT void StepShape_DimensionalSize::SetName | ( | const Handle(TCollection_HAsciiString)& | Name | ) |

## Field Documentation

Handle_StepRepr_ShapeAspect StepShape_DimensionalSize::theAppliesTo `[private]`

Handle_TCollection_HAsciiString StepShape_DimensionalSize::theName `[private]`

The documentation for this class was generated from the following file:

- StepShape_DimensionalSize.hxx